<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Activity 6</title>

  <script src="https://code.jquery.com/jquery-3.7.1.min.js"></script>

  <script>
    function clicked() {
      alert("I was clicked");
    }

	// Define a User Object with a Constructor
    function User(firstName, lastName, age) {
      this.firstName = firstName;
      this.lastName = lastName;
      this.age = age;
    };

    var users = [];
    users.push(
      new User("John","Lennon",80), 
      new User("Paul", "McCartney",78), 
      new User("George","Harrison",53), 
      new User("Ringo","Starr", 80));

	// Define a function to write all Users into a table row
	// Dynamically create all the rows in the table (note: this could simply be done with innerHTML attribute versus using jQuery)
    function displayUsers() {
    	
      // Row count
      var x = 0;
      
      // Loop over the Users Array
      for (let user of users) {
        var rowstyle = x & 1 ? "#FFFFFF" : "#F0F0F0";
        
        // Build a table row and columns HTML markup
        var markup = "<tr>" + 
                       "<td>" + user.firstName + "</td>" +
                       "<td>" + user.lastName + "</td>" +
                       "<td>" + user.age + "</td>" +
                       "</td>";
                
        $("#users").find("tbody").append(markup);
        $("#users").find("tbody").find("tr").last().attr("id", x);
        $("#users").find("tbody").find("tr").last().attr("align", "center");
        $("#users").find("tbody").find("tr").last().css("background-color", rowstyle);
        $("#users").find("tbody").find("tr").last().find("td").get(0).id = x + "_0";
        $("#users").find("tbody").find("tr").last().find("td").get(1).id = x + "_1";
        $("#users").find("tbody").find("tr").last().find("td").get(2).id = x + "_2";
        ++x; // Next row
      }

      $("#0_1").bind('click', clicked);
    }

	// Update our User table using jQuery
	// Display Users when the document is ready
    $(document).ready(displayUsers);
  </script>
</head>

<body>
  <table id="users" width="50%" border="1">
	<thead>
	  <tr style="background-color: #a0a0a0;">
		<th width="33%">First Name</th>
		<th width="33%">Last Name</th>
		<th width="33%">Age</th>
      </tr>
	</thead>
	<tbody>
	</tbody>
  </table>
</body>
</html>